summaryrefslogtreecommitdiff
path: root/scripts/modules-check.sh
diff options
context:
space:
mode:
authorMasahiro Yamada <masahiroy@kernel.org>2020-05-11 13:21:49 +0900
committerMasahiro Yamada <masahiroy@kernel.org>2020-05-26 00:03:16 +0900
commit8451791d1ff0fd229e3f5ef267a32423f5b5540f (patch)
treefb5ea5a090179496b5e5b805b5fb75cb484561ad /scripts/modules-check.sh
parent121c2a137767df5f9f301795e7d3757d1af04b21 (diff)
kbuild: make module name conflict fatal error
I think all the warnings have been fixed by now. Make it a fatal error. Check it before modpost because we need to stop building *.ko files. Also, pass modules.order via a script parameter. Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
Diffstat (limited to 'scripts/modules-check.sh')
-rwxr-xr-xscripts/modules-check.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/scripts/modules-check.sh b/scripts/modules-check.sh
index f51f446707b8..43de226071ae 100755
--- a/scripts/modules-check.sh
+++ b/scripts/modules-check.sh
@@ -3,14 +3,24 @@
set -e
+if [ $# != 1 ]; then
+ echo "Usage: $0 <modules.order>" >& 2
+ exit 1
+fi
+
+exit_code=0
+
# Check uniqueness of module names
check_same_name_modules()
{
- for m in $(sed 's:.*/::' modules.order | sort | uniq -d)
+ for m in $(sed 's:.*/::' $1 | sort | uniq -d)
do
- echo "warning: same module names found:" >&2
+ echo "error: the following would cause module name conflict:" >&2
sed -n "/\/$m/s:^: :p" modules.order >&2
+ exit_code=1
done
}
-check_same_name_modules
+check_same_name_modules "$1"
+
+exit $exit_code